+++
title = "如何運用ai撰寫文本?"
date = "2021-07-18T00:21:34+08:00"
tags = ["video marketing", "text to video"]
type = "blog"
categories = ["marketing"]
banner = "img/banners/banner-3.jpg"
+++

## 如何運用ai撰寫文本?
即使是最先進的聊天機器人也無法進行像樣的對話，但人工智能係統在生成文字方面肯定會變得越來越好。一個新的網絡應用程序提供了充分的證據，讓任何人輸入文本提示，人工智能軟件將自動響應。

輸入一篇虛構的新聞文章的開頭，它會為您完成。問它一個問題（通過像這樣格式化你的輸入：“Q：我今天應該做什麼？”），它會很高興地回應。

該網站名為TalkToTransformer.com，由加拿大工程師Adam King創建。King 製作了該網站，但底層技術來自研究實驗室 OpenAI。今年早些時候，OpenAI推出了其新的 AI 語言系統GPT-2，而 TalkToTransformer 是同一技術的精簡版，可訪問版本，過去只有選定的科學家和記者可以訪問。（名稱“transformer”指的是GPT-2 和其他系統使用的神經網絡類型。）

### 什麼是OpenAI?
2019年初，由埃隆·馬斯克 (Elon Musk) 共同創立的初創公司OpenAI宣布，它已經創建了一個用於自然語言處理的神經網絡，稱為 GPT-2。OpenAI 最初選擇不公開發布文本生成器，有些人將其視為宣傳噱頭，而另一些人則將其視為機器人末日即將來臨的跡象。由於該工具可以生成足夠逼真的文本，以至於在某些情況下很難與人類書寫區分開來，因此其創建者擔心 GPT-2 可能會被用作壞演員製造大量假新聞或宣傳的簡便方法。

儘管存在潛在風險，但 OpenAI 上月底宣布 GPT-2 的繼任者已經完成。它被稱為——你猜對了——GPT-3。

一個由OpenAI發表的論文預打印服務器上的arXiv研究人員介紹GPT-3為175十億參數的自回歸語言模型。1750億很多；為了比較，2019 年 11 月發布的 GPT-2最終版本有 15 億個參數。微軟的圖靈自然語言生成模型於 2 月份為私人演示發布，有 170 億個參數。

“參數”是指機器學習模型根據其訓練數據定義的屬性。那麼 OpenAI 是如何從其中的 15 億增加到 1750 億的呢？與您根據 GPT-3 的龐大規模所猜測的相反，其背後的技術並不比同類工具先進，並且不包含新的訓練方法或架構；它的創建者只是將輸入數據的數量擴大了一個數量級。

數據來自Common Crawl，這是一個非盈利組織，每個月都會掃描開放的網絡並從數十億的 HTML 頁面下載內容，然後以特殊格式提供用於大規模數據挖掘。2017 年，平均每月“抓取”產生超過 30 億個網頁。Common Crawl 自 2011 年以來一直在這樣做，並且擁有超過 40 種不同語言的 PB 級數據。OpenAI 團隊應用了一些過濾技術來提高數據的整體質量，包括添加像維基百科這樣的精選數據集。

GPT 代表生成式預訓練變壓器。“transformer”部分指的是谷歌在2017年推出的一種神經網絡架構。與按順序查看單詞並根據單詞在句子中的位置做出決定不同，採用這種設計的文本或語音生成器可以同時對句子中所有單詞之間的關係進行建模。每個單詞都有一個“注意力分數”，作為它的權重並輸入到更大的網絡中。從本質上講，這是一種複雜的說法，該模型正在權衡給定單詞在另一個單詞之前或之後的可能性，以及該可能性根據句子中其他單詞的變化程度。

通過在一個巨大的數據集中找到單詞之間的關係和模式，該算法最終從自己的推理中學習，這就是所謂的無監督機器學習。而且它不以文字結尾——GPT-3 還可以弄清楚概念之間是如何關聯的，並辨別上下文。

假新聞肯定已經成為一個普遍而陰險的問題，在我們應對全球大流行和唐納德特朗普可能連任美國總統的一年裡，它似乎是一個更強大、更逼真的文本生成器人工智能是我們現在最不需要的東西之一。

我們正在發布一個 API，用於訪問 OpenAI 開發的新 AI 模型。與大多數為一個用例設計的人工智能係統不同，今天的 API 提供了一個通用的“文本輸入、文本輸出”界面，允許用戶在幾乎任何英語語言任務上嘗試它。您現在可以請求訪問權限，以便將 API 集成到您的產品中、開發全新的應用程序或幫助我們探索該技術的優勢和局限性。
給定任何文本提示，API 將返回一個文本完成，嘗試匹配您提供的模式。你可以通過向它展示你希望它做什麼的幾個例子來“編程”它；它的成功通常取決於任務的複雜程度。該 API 還允許您通過對您提供的示例的數據集（小或大）進行訓練，或通過從用戶或標記者提供的人工反饋中學習來磨練特定任務的性能。

我們設計的 API 既簡單易用，又足夠靈活，可以提高機器學習團隊的工作效率。事實上，我們的許多團隊現在都在使用 API，以便他們可以專注於機器學習研究而不是分佈式系統問題。今天，API 運行具有[GPT-3](https://arxiv.org/abs/2005.14165)系列權重的模型，並在許多速度和吞吐量方面進行了改進。機器學習發展非常迅速，我們不斷升級我們的技術，以便我們的用戶保持最新狀態。

除了作為收入來源幫助我們支付成本以實現我們的使命之外，API 還促使我們更加關注通用 AI 技術——改進技術，使其可用，並考慮其在現實世界中的影響. 我們希望 API 將大大降低生產有益的人工智能產品的障礙，從而產生今天難以想像的工具和服務。

該領域的進步速度意味著人工智能經常出現令人驚訝的新應用，無論是積極的還是消極的。我們將終止對明顯有害的用例的 API 訪問，例如騷擾、垃圾郵件、激進化或 astroturfing。但我們也知道我們無法預測這項技術的所有可能後果，因此我們今天以私人測試版而不是普遍可用性推出，構建工具以幫助用戶更好地控制我們的 API 返回的內容，並研究與安全相關的內容語言技術的各個方面（例如分析、減輕和乾預有害偏見）。我們將分享我們學到的知識，以便我們的用戶和更廣泛的社區能夠構建更多對人類有益的 AI 系統。
如果您想了解 AI 語言生成，沒有比使用 TalkToTransformer 更好地了解其巨大潛力和嚴重局限性的方法了。

## 運用ai撰寫文本的疑慮
從好的方面來說，該模型非常靈活。它能夠識別各種各樣的輸入，從新聞文章和故事到歌詞、詩歌、食譜、代碼和 HTML。它甚至可以識別像_哈利波特_和_指環王_這樣的特許經營權中熟悉的角色。

同時，您很快就會看到，在基本層面上，系統並不理解語言或整個世界。它生成的文本具有表面級的連貫性，但沒有長期結構。例如，當它寫故事時，人物隨機出現和消失，他們的需求或行動沒有一致性。當它產生對話時，對話會漫無目的地從一個話題轉移到另一個話題。如果它得到的響應不止幾個，則似乎是運氣好，而不是技巧。

儘管如此，正如_The Verge_在我們[最初](https://www.theverge.com/2019/2/14/18224704/ai-machine-learning-language-models-read-write-openai-gpt2)對 GPT-2 的[報導](https://www.theverge.com/2019/2/14/18224704/ai-machine-learning-language-models-read-write-openai-gpt2)中所解釋的那樣，這個系統非常令人印象深刻。請記住：這是一種通過研究從網絡和其他來源抓取的龐大數據集來學習生成文本的單一算法。它通過在這些信息中尋找模式來學習，結果是一個令人驚訝的多才多藝的系統。

在 GPT-2 的知識中找到差距可能並不難，但不可能知道你是否已經探索了它所能做的極限。

在論文中，OpenAI 團隊指出，GPT-3 在翻譯、回答問題和進行閱讀理解類型的練習時表現良好，這些練習需要填補已刪除單詞的空白。他們還表示，該模型能夠進行“即時推理”，並生成了 200 到 500 字長的樣本新聞文章，這些文章很難與人寫的文章區分開來。

作者承認 GPT-3 可能以多種方式被濫用，包括生成錯誤信息和垃圾郵件、網絡釣魚、濫用法律和政府程序，甚至偽造學術論文。不少高中生肯定會抓住機會讓人工智能寫他們的大學入學論文（但在這個工具的潛在誤用中，這是我們最不擔心的）。

今年年初，《經濟學人》的一位編輯給了 GPT-2 一份關於2020 年即將到來的問題的清單。該算法預測了經濟動盪、“中國的重大變化”以及唐納德特朗普不會連任等。一旦我們輸入了 2020 年的所有文章，想像一下 GPT-3 對 2021 年的預測會有點可怕，結果證明 2020 年是歷史性的一年，而且非常糟糕。

不過，就目前而言，OpenAI 之外的任何人都無法訪問 GPT-3。該公司尚未公佈該算法何時、如何或是否向公眾發布的任何細節。它可以分階段發生，類似於 GPT-2。但新版本的龐大尺寸帶來了更多的複雜性。根據喬·戴維森，在啟動時也從事自然語言處理的一個研究工程師“的計算資源需要實際使用GPT-3在現實世界中，使其非常不切實際的。”

不過，與此同時，OpenAI 擁有一台由微軟為機器學習研究定制的全新超級計算機。這將更容易快速提升 GPT-3 的能力，甚至可能在不久的將來開始模型的下一次迭代。

這些自然語言處理算法的功能有多強大？或許認為即使在互聯網上積累了多年的整個知識庫，也沒有任何模型能夠預測 2020 年會帶來什麼——但話又說回來，人類也不可能做到這一點，這既是一種安慰，也是一種不足。